Bug 1191494 - "VdcBLLException: NO_UP_SERVER_FOUND" in seen in engine logs
Summary: "VdcBLLException: NO_UP_SERVER_FOUND" in seen in engine logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.3-1
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1039537 1138128
Blocks: 1209131
TreeView+ depends on / blocked
 
Reported: 2015-02-11 11:52 UTC by pagupta
Modified: 2019-05-20 11:33 UTC (History)
27 users (show)

Fixed In Version: 3.6.0-13
Doc Type: Bug Fix
Doc Text:
Clone Of: 1138128
: 1209131 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:57:21 UTC
oVirt Team: Gluster
ylavi: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 32447 None None None Never
oVirt gerrit 33040 None None None Never

Comment 4 Yaniv Lavi 2015-03-30 09:25:03 UTC
This was already fixed a while back in oVirt.
Need to verify this is fixed on RHEV.

Comment 5 Eyal Edri 2015-04-01 15:34:01 UTC
yaniv, if we release a new build to QE, can this bug move back to ON_QA?

Comment 6 Sahina Bose 2015-04-06 08:37:03 UTC
The patch is present in 3.5.2 branch of Ovirt. Needs verification

Comment 11 SATHEESARAN 2016-01-28 09:20:43 UTC
Tested with RHEV 3.6.2.6 and RHGS 3.1.2 nightly ( glusterfs-3.7.5-17.el7rhgs )

1. Added 2 nodes to the gluster enabled gluster
2. Created a replica 2 volume 
3. Moved both the nodes to maintenance

After observing engine.logs, there were no exceptions or errors seen, except for continuous info messages about "no up server found" as follows :

<snip>
2016-01-28 04:23:40,691 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-14) [] No up server in cluster
2016-01-28 04:23:40,694 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-14) [] No up server in cluster
2016-01-28 04:24:40,700 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-3) [] No up server in cluster
2016-01-28 04:24:40,703 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-3) [] No up server in cluster
2016-01-28 04:24:50,389 INFO  [org.ovirt.engine.core.bll.OvfDataUpdater] (DefaultQuartzScheduler_Worker-26) [] Attempting to update VMs/Templates Ovf.
2016-01-28 04:25:40,709 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-40) [] No up server in cluster
2016-01-28 04:25:40,712 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-40) [] No up server in cluster

</snip>

Since there are no exceptions or errors seen, moving this bug to 'verified' state

Note :
RHGS 3.1.2 has vdsm 4.16.z and it can't be added to RHEVM 3.6.2.6
So I have used the custom build vdsm & vdsm gluster of build 4.17.16

Comment 13 errata-xmlrpc 2016-03-09 20:57:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.